## cern-vdt-0.4.3-5.src.tar.gz

=== src/CMakeLists.txt ===
# Auto generate the code for the vector signatures and if needed preload

# We need Python for the following.
find_package (PythonInterp REQUIRED)

# Generate the code for the lib
if (PRELOAD)
set (SIGGENOPTS  " -p")
else()
set (SIGGENOPTS  " ")
endif()
EXEC_PROGRAM ("cd src;${PYTHON_EXECUTABLE} ${CMAKE_SOURCE_DIR}/src/signatures_generator.py ${SIGGENOPTS} -o ${CMAKE_SOURCE_DIR}/src;cd -")

#generare Vc wrapper and config file
if(USE_VC)
  EXEC_PROGRAM ("cd src;${PYTHON_EXECUTABLE} vc_wrapper_generator.py;cd -")
endif(USE_VC)
configure_file( ${INC_DIR}/externalLibcfg.h.cmake ${INC_DIR}/externalLibcfg.h)

=== PKGBUILD ===
# Maintainer: Konstantin Gizdov <arch at kge dot pw>
# Contributor: Raphael Isemann <teemperor at gmail dot com>

pkgname=cern-vdt
_pkgname=vdt
pkgver=0.4.3
pkgrel=5
pkgdesc='A vectorised math library from CERN'
arch=('x86_64')
url='https://github.com/dpiparo/vdt'
license=('LGPL3')
depends=('glibc')
makedepends=('cmake' 'python')
source=("${pkgname}-${pkgver}.tar.gz::https://github.com/dpiparo/${_pkgname}/archive/v${pkgver}.tar.gz")
sha256sums=('705674612ebb5c182b65a8f61f4d173eb7fe7cdeee2235b402541a492e08ace1')

build() {
    cd "${srcdir}/${_pkgname}-${pkgver}"

    mkdir build && cd build
    cmake .. -DCMAKE_INSTALL_PREFIX=/usr
    make
}

package() {
    cd "${srcdir}/${_pkgname}-${pkgver}/build"

    make DESTDIR="${pkgdir}/" install

    install -Dm644 ../Licence.txt "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
}
